All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class BusinessModelToAdvancedFilterDefinitionModelAdapter

    com.sas.dataselectors.filters.BusinessModelToAdvancedFilterDefinitionModelAdapter

All Implemented Interfaces:
  AdvancedFilterDefinitionModelInterface, SimpleFilterDefinitionModelInterface

    public class BusinessModelToAdvancedFilterDefinitionModelAdapter

implements AdvancedFilterDefinitionModelInterface

Simple adapter to wrap the given data source and initial selection into a selector model.

Field Summary

Fields inherited from class com.sas.dataselectors.filters.SimpleFilterDefinitionModelBase
`RB_KEY`

Constructor Summary
`BusinessModelToAdvancedFilterDefinitionModelAdapter(com.sas.iquery.metadata.business.BusinessModel model, com.sas.iquery.dataservices.IQDataServices dataService)` Creates a new adapter from the given DataSelectionInterface.

Method Summary
`boolean` | `commitChanges()` Commit Changes will either update or create (as needed) the LogicTestNode to the DataSelection
`boolean` | `isOLAP()` Returns true if the data source for this adapter is OLAP based.

Methods inherited from class com.sas.dataselectors.filters.SimpleFilterDefinitionModelBase
`getApplicationData, getDataSource, getRootFilterObject, getSelection, setApplicationData, setSelection`

Methods inherited from interface com.sas.dataselectors.filters.SimpleFilterDefinitionModelInterface
`getApplicationData, getDataSource, getRootFilterObject, getSelection, setApplicationData, setSelection`

Constructor Detail

### BusinessModelToAdvancedFilterDefinitionModelAdapter

    public BusinessModelToAdvancedFilterDefinitionModelAdapter(com.sas.iquery.metadata.business.BusinessModel model,
                                                               com.sas.iquery.dataservices.IQDataServices dataService)

  Creates a new adapter from the given DataSelectionInterface. The Items are based on the data selection. The initial selection is empty.

  Parameters:
    `dataSource` - the primary model

Method Detail

### commitChanges

    public boolean commitChanges()

  Commit Changes will either update or create (as needed) the LogicTestNode to the DataSelection

  Specified by:
    `commitChanges` in interface `SimpleFilterDefinitionModelInterface`
  Overrides:
    `commitChanges` in class `SimpleFilterDefinitionModelBase`
  Returns:
    false if no place to commit to, true if commit succeeded

### isOLAP

    public boolean isOLAP()

  Description copied from interface: `AdvancedFilterDefinitionModelInterface`
  Returns true if the data source for this adapter is OLAP based.

  Specified by:
    `isOLAP` in interface `AdvancedFilterDefinitionModelInterface`
  Returns:
    TRUE if the data source is OLAP based

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.